#!/usr/bin/python
import sys
import os

prefix  = str(sys.argv[1])
# slicenumber = str(sys.argv[2])
# prefix = slicenumber
# bkg_prefix = 'bkg-' + slicenumber

print '>> RTM on %s' %prefix

shot = 0
while (shot < 200):
    xsource = 81 + 5 * shot
    cmd  = 'bin/rtm.x < dat/bkg-%s-vp.H vs=dat/bkg-%s-vs.H rho=dat/bkg-%s-rho.H par=par/elastic.p bkg_data=1 write_bkg=0 snap=0 ' %(prefix, prefix, prefix)
    cmd += 'vpM=dat/bkg-%s-vp.H vsM=dat/bkg-%s-vs.H rhoM=dat/bkg-%s-rho.H ' %(prefix, prefix, prefix)
    cmd += 'Vx_rec=wrk_%s/seis-%s-Vx-%s.H ' %(prefix, prefix, shot)
    cmd += 'Vz_rec=wrk_%s/seis-%s-Vz-%s.H ' %(prefix, prefix, shot)
    cmd += 'sigmaxx_rec=wrk_%s/seis-%s-Sxx-%s.H ' %(prefix, prefix, shot)
    cmd += 'sigmazz_rec=wrk_%s/seis-%s-Szz-%s.H ' %(prefix, prefix, shot)
    cmd += 'sigmaxz_rec=wrk_%s/seis-%s-Sxz-%s.H ' %(prefix, prefix, shot)
    cmd += 'dvp=wrk_%s/rtm-%s-vp-%s.H ' %(prefix, prefix, shot)
    cmd += 'dvs=wrk_%s/rtm-%s-vs-%s.H ' %(prefix, prefix, shot)
    cmd += 'drho=wrk_%s/rtm-%s-rho-%s.H ' %(prefix, prefix, shot)
    cmd += '>& wrk_%s/log-rtm-%s.txt ' %(prefix, shot)
    cmd += 'xsource=%s adj=1 randomBound=0 ' %xsource
    cmd += 'vx0=wrk_%s/seis-bkg-%s-Vx0-%s.H ' %(prefix, prefix, shot)
    cmd += 'vz0=wrk_%s/seis-bkg-%s-Vz0-%s.H ' %(prefix, prefix, shot)
    cmd += 'sigmaxx0=wrk_%s/seis-bkg-%s-Sxx0-%s.H ' %(prefix, prefix, shot) 
    cmd += 'sigmazz0=wrk_%s/seis-bkg-%s-Szz0-%s.H ' %(prefix, prefix, shot)
    cmd += 'sigmaxz0=wrk_%s/seis-bkg-%s-Sxz0-%s.H ' %(prefix, prefix, shot)
    os.system(cmd)
    shot += 1
print ">> Done"