module compact_mod
  use sep
  use model_type_mod
  contains
  subroutine compact_it(in,out,icom)
    type(vel_model) :: in,out
    integer :: ithick,i2,i3,i1,ifound,icom,nlayer,i0,iold
    character(len=256) :: tmp,v1
    real :: vel
    real :: compact
    call create_new_model(in,out,0,0)
    compact=0
    nlayer=maxval(out%layer)
    call cat_it(v1,"compact_",icom); call from_param(v1,compact,0.)
    !$OMP PARALLEL DO private(i3,i1,i2,i0,iold)
    do i3=1,in%n3
      do i2=1,in%n2
        do i1=1,in%n1
           if(out%layer(i1,i2,i3)>0) out%vals(i1,i2,i3)=out%vals(i1,i2,i3)*(1.+i1*out%d1*compact)
        end do
      end do
    end do
   !$OMP END PARALLEL DO
 end subroutine
end module
    