#!/usr/bin/python
import sys
import os

prefix = str(sys.argv[1])
print '>> Concatenating results for %s' %prefix

# You can't concatenate all files in one go
# Concatenating the first 100 files
i = 0
cmdVx  = 'Cat axis=3 '
cmdVz  = 'Cat axis=3 '
cmdSxx = 'Cat axis=3 '
cmdSzz = 'Cat axis=3 '
cmdSxz = 'Cat axis=3 '
while (i < 100):
    cmdVx  += 'wrk_%s/seis-Vx-%s-%s.H ' %(prefix, prefix, i)
    cmdVz  += 'wrk_%s/seis-Vz-%s-%s.H ' %(prefix, prefix, i)
    cmdSxx += 'wrk_%s/seis-Sxx-%s-%s.H ' %(prefix, prefix, i)
    cmdSzz += 'wrk_%s/seis-Szz-%s-%s.H ' %(prefix, prefix, i)
    cmdSxz += 'wrk_%s/seis-Sxz-%s-%s.H ' %(prefix, prefix, i)
    i += 1
cmdVx  += '> wrk_%s/tmp100Vx.H'  %prefix
cmdVz  += '> wrk_%s/tmp100Vz.H'  %prefix
cmdSxx += '> wrk_%s/tmp100Sxx.H' %prefix
cmdSzz += '> wrk_%s/tmp100Szz.H' %prefix
cmdSxz += '> wrk_%s/tmp100Sxz.H' %prefix

os.system(cmdVx)
os.system(cmdVz)
os.system(cmdSxx)
os.system(cmdSzz)
os.system(cmdSxz)

# Concatenating the other 100 files
cmdVx  = 'Cat axis=3 '
cmdVz  = 'Cat axis=3 '
cmdSxx = 'Cat axis=3 '
cmdSzz = 'Cat axis=3 '
cmdSxz = 'Cat axis=3 '
while (i < 200):
    cmdVx  += 'wrk_%s/seis-Vx-%s-%s.H ' %(prefix, prefix, i)
    cmdVz  += 'wrk_%s/seis-Vz-%s-%s.H ' %(prefix, prefix, i)
    cmdSxx += 'wrk_%s/seis-Sxx-%s-%s.H ' %(prefix, prefix, i)
    cmdSzz += 'wrk_%s/seis-Szz-%s-%s.H ' %(prefix, prefix, i)
    cmdSxz += 'wrk_%s/seis-Sxz-%s-%s.H ' %(prefix, prefix, i)
    i += 1
cmdVx  += '> wrk_%s/tmp200Vx.H'  %prefix
cmdVz  += '> wrk_%s/tmp200Vz.H'  %prefix
cmdSxx += '> wrk_%s/tmp200Sxx.H' %prefix
cmdSzz += '> wrk_%s/tmp200Szz.H' %prefix
cmdSxz += '> wrk_%s/tmp200Sxz.H' %prefix

os.system(cmdVx)
os.system(cmdVz)
os.system(cmdSxx)
os.system(cmdSzz)
os.system(cmdSxz)

# Putting everything together
cmdVx  = 'Cat axis=3 wrk_%s/tmp100Vx.H wrk_%s/tmp200Vx.H > wrk_%s/cat-Vx-%s.H'    %(prefix, prefix, prefix, prefix)
cmdVz  = 'Cat axis=3 wrk_%s/tmp100Vz.H wrk_%s/tmp200Vz.H > wrk_%s/cat-Vz-%s.H'    %(prefix, prefix, prefix, prefix)
cmdSxx = 'Cat axis=3 wrk_%s/tmp100Sxx.H wrk_%s/tmp200Sxx.H > wrk_%s/cat-Sxx-%s.H' %(prefix, prefix, prefix, prefix)
cmdSzz = 'Cat axis=3 wrk_%s/tmp100Szz.H wrk_%s/tmp200Szz.H > wrk_%s/cat-Szz-%s.H' %(prefix, prefix, prefix, prefix)
cmdSxz = 'Cat axis=3 wrk_%s/tmp100Sxz.H wrk_%s/tmp200Sxz.H > wrk_%s/cat-Sxz-%s.H' %(prefix, prefix, prefix, prefix)

os.system(cmdVx)
os.system(cmdVz)
os.system(cmdSxx)
os.system(cmdSzz)
os.system(cmdSxz)
print ">> Done"
