#!/usr/bin/python
import sys
import os

prefix = str(sys.argv[1])
print '>> Running elastic propagation on bkg-%s' %prefix

shot = 0
while (shot < 200):
    xsource = 81 + 5 * shot
    cmd  = 'bin/elastic.x < dat/bkg-%s-vp.H vs=dat/bkg-%s-vs.H rho=dat/bkg-%s-rho.H par=par/elastic.p ' %(prefix, prefix, prefix)
    cmd += 'Vx_rec=wrk_%s/seis-bkg-%s-Vx-%s.H Vz_rec=wrk_%s/seis-bkg-%s-Vz-%s.H ' %(prefix, prefix, shot, prefix, prefix, shot)
    cmd += 'sigmaxx_rec=wrk_%s/seis-bkg-%s-Sxx-%s.H ' %(prefix, prefix, shot)
    cmd += 'sigmazz_rec=wrk_%s/seis-bkg-%s-Szz-%s.H ' %(prefix, prefix, shot)
    cmd += 'sigmaxz_rec=wrk_%s/seis-bkg-%s-Sxz-%s.H ' %(prefix, prefix, shot)
    cmd += '>& wrk_%s/log-bkg-%s.txt ' %(prefix, shot)
    cmd += 'xsource=%s write_bkg=1 randomBound=0 snap=0 ' %xsource
    cmd += 'vx0=wrk_%s/seis-bkg-%s-Vx0-%s.H vz0=wrk_%s/seis-bkg-%s-Vz0-%s.H ' %(prefix, prefix, shot, prefix, prefix, shot)
    cmd += 'sigmaxx0=wrk_%s/seis-bkg-%s-Sxx0-%s.H ' %(prefix, prefix, shot)
    cmd += 'sigmazz0=wrk_%s/seis-bkg-%s-Szz0-%s.H ' %(prefix, prefix, shot) 
    cmd += 'sigmaxz0=wrk_%s/seis-bkg-%s-Sxz0-%s.H ' %(prefix, prefix, shot)
    os.system(cmd)
    shot += 1
print ">> Done"
