#!/usr/bin/python
import sys
import os

prefix = str(sys.argv[1])
print '>> Running elastic propagation on %s' %prefix

shot = 0
while (shot < 200):
    xsource = 81 + 5 * shot
    cmd  = 'bin/elastic.x < dat/%s-vp.H vs=dat/%s-vs.H rho=dat/%s-rho.H par=par/elastic.p ' %(prefix, prefix, prefix)
    cmd += 'Vx_rec=wrk_%s/seis-%s-T-Vx-%s.H Vz_rec=wrk_%s/seis-%s-T-Vz-%s.H ' %(prefix, prefix, shot, prefix, prefix, shot)
    cmd += 'sigmaxx_rec=wrk_%s/seis-%s-T-Sxx-%s.H ' %(prefix, prefix, shot)
    cmd += 'sigmazz_rec=wrk_%s/seis-%s-T-Szz-%s.H ' %(prefix, prefix, shot)
    cmd += 'sigmaxz_rec=wrk_%s/seis-%s-T-Sxz-%s.H ' %(prefix, prefix, shot)
    cmd += '>& wrk_%s/log-seis-%s.txt ' %(prefix, shot)
    cmd += 'xsource=%s write_bkg=0 randomBound=0 snap=0' %xsource
    os.system(cmd)
    shot += 1
print ">> Done"