#!/usr/bin/python

import os
import sys, getopt

prefix  = ''
postfix = ''
try:
    opts, args = getopt.getopt(sys.argv[1:],"hb:e:",["begin=","end="])
except getopt.GetoptError:
    print 'Wrong syntax, use: run_on_all_slices.py -b <begin_of_command> -e <end_of_command>'
    sys.exit(2)
for opt, arg in opts:
    if opt == '-h':
        print 'Use this syntax: run_on_all_slices.py -b <begin_of_command> -e <end_of_command>'
        sys.exit()
    elif opt in ("-b", "--begin"):
        prefix = arg
    elif opt in ("-e", "--end"):
        postfix = arg

cmd_prefix  = 'make ' + prefix

i = 50
while (i < 1000):
    print ">> Preparing slice number %s" %i
    cmd = cmd_prefix + 'caves-xsl%s' %i + postfix 
    os.system(cmd)
    cmd = cmd_prefix + 'caves-ysl%s' %i + postfix
    os.system(cmd)
    cmd = cmd_prefix + 'ref-xsl%s' %i + postfix
    os.system(cmd)
    cmd = cmd_prefix + 'ref-ysl%s' %i + postfix
    os.system(cmd)
    i += 100
print ">> Done"