! Apply Linear interpolation operator
program Sinc

  use sinc_mod

  implicit none

  real								:: fc, b
  integer							:: nf, nm
  real, allocatable, dimension(:,:) :: sinc_filter

    call sep_init()

    !Hardcoded for now: sinc parameters
    fc = 0.1 !This sets the cutoff frequency to 1/10 of the Nyquist frequency
    b  = 0.09 !This sets the transition bandwith, to calculate the filter length
    nf = ceiling(2/b)
    nm=(nf+1)/2

    allocate(sinc_filter(nf,nf))

    !Sinc filter
    call sinc_init(fc,nf,sinc_filter)

end program
