program shrink

	use sep
	implicit none

	integer                           :: n1, n2, i, j
	real                              :: o1, d1, o2, d2
	real, allocatable, dimension(:,:) :: mod, dat
	integer                           :: step
	real                              :: grad

	call sep_init()

	call from_history("n1", n1)
	call from_history("o1", o1)
	call from_history("d1", d1)
	call from_history("n2", n2)
	call from_history("o2", o2)
	call from_history("d2", d2)

	call to_history("n1", n1)
	call to_history("o1", o1)
	call to_history("d1", d1)
	call to_history("n2", n2)
	call to_history("o2", o2)
	call to_history("d2", d2)
	
	allocate(mod(n1,n2))
	allocate(dat(n1,n2))
	mod = 0.
	dat = 0.

	call sep_read(mod)

	! do i=2,n1-8
	! 	do j=11,n2-10
	! 		grad = mod(i-1,j) + mod(i,j) + mod(i+1,j) + mod(i+2,j) + mod(i+3,j) + mod(i+4,j) + mod(i+5,j) + mod(i+6,j) + mod(i+7,j) + mod(i+8,j)
	! 		grad = grad + mod(i,j-1) + mod(i,j+1) + mod(i,j-2) + mod(i,j+2) + mod(i,j-3) + mod(i,j+3) + mod(i,j-4) + mod(i,j+4) + mod(i,j-5) + mod(i,j+5) + mod(i,j-6) + mod(i,j+6) + mod(i,j-7) + mod(i,j+7) + mod(i,j-8) + mod(i,j+8) + mod(i,j-9) + mod(i,j+9) + mod(i,j-10) + mod(i,j+10)
	! 		if (grad == 30) then 
	! 			dat(i,j) = 1.
	! 		endif
	! 	enddo !j=1,n2
	! enddo !i=1,n1
	! test


	do i=7,n1-6
		do j=34,n2-33
			grad = mod(i,j) + mod(i-1,j) + mod(i-2,j) + mod(i-3,j) + mod(i-4,j) + mod(i-5,j) + mod(i-6,j)
			grad = grad     + mod(i+1,j) + mod(i+2,j) + mod(i+3,j) + mod(i+4,j) + mod(i+5,j) + mod(i+6,j)
			grad = grad     + mod(i,j-1) + mod(i,j-2) + mod(i,j-3) + mod(i,j-4) + mod(i,j-5) + mod(i,j-6) + mod(i,j-7) + mod(i,j-8) + mod(i,j-9) + mod(i,j-10) + mod(i,j-11) + mod(i,j-12) + mod(i,j-13) + mod(i,j-14) + mod(i,j-15) + mod(i,j-16) + mod(i,j-17) + mod(i,j-18) + mod(i,j-19) + mod(i,j-23) + mod(i,j-25) + mod(i,j-27) + mod(i,j-29) + mod(i,j-31) + mod(i,j-33)
			grad = grad     + mod(i,j+1) + mod(i,j+2) + mod(i,j+3) + mod(i,j+4) + mod(i,j+5) + mod(i,j+6) + mod(i,j+7) + mod(i,j+8) + mod(i,j+9) + mod(i,j+10) + mod(i,j+11) + mod(i,j+12) + mod(i,j+13) + mod(i,j+14) + mod(i,j+15) + mod(i,j+16) + mod(i,j+17) + mod(i,j-18) + mod(i,j-19) + mod(i,j+23) + mod(i,j+25) + mod(i,j+27) + mod(i,j+29) + mod(i,j+31) + mod(i,j+33)  
			if (grad == 63) then 
				dat(i,j) = 1.
			endif
			! dat(i,j) = grad 
		enddo !j=1,n2
	enddo !i=1,n1

	call sep_write(dat)
	call sep_close()

end program
